Subject: Re: Device trees and audio codecs

From: Scott Wood <[email-masked]>
Date: Tue, 23 Oct 2007 14:12:36 -0500

On Mon, Oct 22, 2007 at 08:07:14AM -0500, Timur Tabi wrote:
> Either you do it at driver __init time, or via a probe.  The probe 
> actually occurs at __init time, anyway, so they're kinda the same thing. 
>   The only thing the probe gets you is that you're called multiple times 
> for each instance of a node in the tree.

It also means that you're *not* called if there's no node in the tree at all
-- which I believe was Jon's point about being platform specific.

-Scott